aboutsummaryrefslogtreecommitdiff
path: root/kiss-getchoice
diff options
context:
space:
mode:
authorCem Keylan <cem@ckyln.com>2020-05-15 21:03:44 +0300
committerCem Keylan <cem@ckyln.com>2020-05-15 21:03:44 +0300
commit7bfa97d6fa2452d0517c4f820e44033b5a50cd50 (patch)
tree0552a5e5a15335fa672bf181b8725f89d0b35bdf /kiss-getchoice
downloadcpt-extra-7bfa97d6fa2452d0517c4f820e44033b5a50cd50.tar.gz
initial commit20200515
Diffstat (limited to 'kiss-getchoice')
-rwxr-xr-xkiss-getchoice16
1 files changed, 16 insertions, 0 deletions
diff --git a/kiss-getchoice b/kiss-getchoice
new file mode 100755
index 0000000..75521b4
--- /dev/null
+++ b/kiss-getchoice
@@ -0,0 +1,16 @@
+#!/bin/sh -e
+# Prints the full path to a file in the alternatives system.
+
+case "$1" in ''|--help|-h)
+ printf '\033[1;33m-> \033[m%s\n' "usage: ${0##*/} [pkg] [command]"
+ exit 0; esac
+
+~/proj/carbslinux/kiss/kiss l "$1" >/dev/null
+
+[ "$2" ]
+file="/var/db/kiss/choices/$1$(printf '%s' "$2" | sed 's#/#>#g')"
+[ -f "$file" ] || {
+ printf '\033[1;33m!> \033[1;36m%s \033[m%s\n' "$1" "choice '$2' not found" >&2
+ exit 1
+}
+printf '%s\n' "$file"